Subject: Ticket Assigned - Delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Tue, 15 Jun 2021 09:48:17 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery My order has been out for delivery for 2 days 
I recieved a messaged that you were unable to deliver my order but no one ever called me!! 
Today I called to follow up at the call center and the agent closed the line after telling me that she did her best 
I demand that my order is delivered today and I want an apology from the management or I will file a major complain at the ministry of commerce 
This is poor customer service and I am very dissapointed in the treatment I recieved
I paid a lot of money and I expect proper treatment https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2712082